<template>
  <div class="referral">
    <h4 class="page-title mb-6" v-text="$t('pilotPanel.referral.title')" />

    <!-- Search form -->
    <vx-card class="mb-6 pt-4 pb-2">
      <d-note :text="$t('pilotPanel.referral.description')" />

      <div class="vx-row w-full">
        <div class="vx-col w-full sm:w-1/2 mb-2 sm:mb-0">
          <d-input
            v-model="link"
            :label="$t('pilotPanel.referral.url')"
            classes="link-field"
            disabled
          />
        </div>
        <div class="vx-col w-full sm:w-1/2 btn-wrapper">
          <vs-button
            v-clipboard:copy="link"
            v-clipboard:success="onCopy"
            style="display: inline-flex; margin-top: 20px;"
            color="#04cd09"
            type="filled"
            class="action-btn"
            icon="file_copy"
          >{{ $t('pilotPanel.referral.copy') }}</vs-button>
        </div>
      </div>
    </vx-card>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import { DInput, DDate, DNote } from "@/components/d-elements";
import { screenSizeMixin } from "@/mixins";
import VueClipboard from "vue-clipboard2";
import { getPilotId } from "@/helpers/constants";

Vue.use(VueClipboard);

@Component({
  components: {
    DDate,
    DInput,
    DNote
  },
  mixins: [screenSizeMixin]
})
export default class Bookings extends Vue {
  private link = `www.pilot.skyriff.com/welcome-pilot?p=${getPilotId() || ""}`;

  created() {}

  onCopy() {
    this.$store.dispatch("appState/showAlert", {
      title: this.$t("pilotPanel.referral.success"),
      text: this.$t("pilotPanel.referral.copiedToClipBoard"),
      mode: "#04cd09"
    });
  }
}
</script>

<style lang="scss">
.referral {
  .vs-input--input:disabled {
    opacity: 0.8 !important;
    background-color: white !important;
  }

  .vx-row {
    margin: 0;
  }

  @media (max-width: 576px) {
  }
}
</style>